// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: pkg/protos/service.proto

package service

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type AddressFamily int32

const (
	AddressFamily_AF_UNSPECIFIED AddressFamily = 0
	AddressFamily_AF_INET        AddressFamily = 1
	AddressFamily_AF_INET6       AddressFamily = 2
)

// Enum value maps for AddressFamily.
var (
	AddressFamily_name = map[int32]string{
		0: "AF_UNSPECIFIED",
		1: "AF_INET",
		2: "AF_INET6",
	}
	AddressFamily_value = map[string]int32{
		"AF_UNSPECIFIED": 0,
		"AF_INET":        1,
		"AF_INET6":       2,
	}
)

func (x AddressFamily) Enum() *AddressFamily {
	p := new(AddressFamily)
	*p = x
	return p
}

func (x AddressFamily) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (AddressFamily) Descriptor() protoreflect.EnumDescriptor {
	return file_pkg_protos_service_proto_enumTypes[0].Descriptor()
}

func (AddressFamily) Type() protoreflect.EnumType {
	return &file_pkg_protos_service_proto_enumTypes[0]
}

func (x AddressFamily) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use AddressFamily.Descriptor instead.
func (AddressFamily) EnumDescriptor() ([]byte, []int) {
	return file_pkg_protos_service_proto_rawDescGZIP(), []int{0}
}

type Protocol int32

const (
	Protocol_PROTOCOL_UNSPECIFIED Protocol = 0
	Protocol_PROTOCOL_TCP         Protocol = 1
	Protocol_PROTOCOL_UDP         Protocol = 2
	Protocol_PROTOCOL_QUIC        Protocol = 3
)

// Enum value maps for Protocol.
var (
	Protocol_name = map[int32]string{
		0: "PROTOCOL_UNSPECIFIED",
		1: "PROTOCOL_TCP",
		2: "PROTOCOL_UDP",
		3: "PROTOCOL_QUIC",
	}
	Protocol_value = map[string]int32{
		"PROTOCOL_UNSPECIFIED": 0,
		"PROTOCOL_TCP":         1,
		"PROTOCOL_UDP":         2,
		"PROTOCOL_QUIC":        3,
	}
)

func (x Protocol) Enum() *Protocol {
	p := new(Protocol)
	*p = x
	return p
}

func (x Protocol) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Protocol) Descriptor() protoreflect.EnumDescriptor {
	return file_pkg_protos_service_proto_enumTypes[1].Descriptor()
}

func (Protocol) Type() protoreflect.EnumType {
	return &file_pkg_protos_service_proto_enumTypes[1]
}

func (x Protocol) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Protocol.Descriptor instead.
func (Protocol) EnumDescriptor() ([]byte, []int) {
	return file_pkg_protos_service_proto_rawDescGZIP(), []int{1}
}

type Service struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Address   string        `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
	Scheduler string        `protobuf:"bytes,2,opt,name=scheduler,proto3" json:"scheduler,omitempty"`
	Port      uint32        `protobuf:"varint,3,opt,name=port,proto3" json:"port,omitempty"`
	Family    AddressFamily `protobuf:"varint,4,opt,name=family,proto3,enum=service.AddressFamily" json:"family,omitempty"`
	Protocol  Protocol      `protobuf:"varint,5,opt,name=protocol,proto3,enum=service.Protocol" json:"protocol,omitempty"`
	Name      string        `protobuf:"bytes,6,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *Service) Reset() {
	*x = Service{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Service) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Service) ProtoMessage() {}

func (x *Service) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Service.ProtoReflect.Descriptor instead.
func (*Service) Descriptor() ([]byte, []int) {
	return file_pkg_protos_service_proto_rawDescGZIP(), []int{0}
}

func (x *Service) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

func (x *Service) GetScheduler() string {
	if x != nil {
		return x.Scheduler
	}
	return ""
}

func (x *Service) GetPort() uint32 {
	if x != nil {
		return x.Port
	}
	return 0
}

func (x *Service) GetFamily() AddressFamily {
	if x != nil {
		return x.Family
	}
	return AddressFamily_AF_UNSPECIFIED
}

func (x *Service) GetProtocol() Protocol {
	if x != nil {
		return x.Protocol
	}
	return Protocol_PROTOCOL_UNSPECIFIED
}

func (x *Service) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

var File_pkg_protos_service_proto protoreflect.FileDescriptor

var file_pkg_protos_service_proto_rawDesc = []byte{
	0x0a, 0x18, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x73, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x07, 0x73, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x22, 0xc8, 0x01, 0x0a, 0x07, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12,
	0x18, 0x0a, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x1c, 0x0a, 0x09, 0x73, 0x63, 0x68,
	0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x73, 0x63,
	0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x70, 0x6f, 0x72, 0x74, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x04, 0x70, 0x6f, 0x72, 0x74, 0x12, 0x2e, 0x0a, 0x06, 0x66,
	0x61, 0x6d, 0x69, 0x6c, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x16, 0x2e, 0x73, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x46, 0x61, 0x6d,
	0x69, 0x6c, 0x79, 0x52, 0x06, 0x66, 0x61, 0x6d, 0x69, 0x6c, 0x79, 0x12, 0x2d, 0x0a, 0x08, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x11, 0x2e,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c,
	0x52, 0x08, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x2a, 0x3e,
	0x0a, 0x0d, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x46, 0x61, 0x6d, 0x69, 0x6c, 0x79, 0x12,
	0x12, 0x0a, 0x0e, 0x41, 0x46, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45,
	0x44, 0x10, 0x00, 0x12, 0x0b, 0x0a, 0x07, 0x41, 0x46, 0x5f, 0x49, 0x4e, 0x45, 0x54, 0x10, 0x01,
	0x12, 0x0c, 0x0a, 0x08, 0x41, 0x46, 0x5f, 0x49, 0x4e, 0x45, 0x54, 0x36, 0x10, 0x02, 0x2a, 0x5b,
	0x0a, 0x08, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x12, 0x18, 0x0a, 0x14, 0x50, 0x52,
	0x4f, 0x54, 0x4f, 0x43, 0x4f, 0x4c, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49,
	0x45, 0x44, 0x10, 0x00, 0x12, 0x10, 0x0a, 0x0c, 0x50, 0x52, 0x4f, 0x54, 0x4f, 0x43, 0x4f, 0x4c,
	0x5f, 0x54, 0x43, 0x50, 0x10, 0x01, 0x12, 0x10, 0x0a, 0x0c, 0x50, 0x52, 0x4f, 0x54, 0x4f, 0x43,
	0x4f, 0x4c, 0x5f, 0x55, 0x44, 0x50, 0x10, 0x02, 0x12, 0x11, 0x0a, 0x0d, 0x50, 0x52, 0x4f, 0x54,
	0x4f, 0x43, 0x4f, 0x4c, 0x5f, 0x51, 0x55, 0x49, 0x43, 0x10, 0x03, 0x42, 0x3c, 0x5a, 0x3a, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x77, 0x69, 0x6b, 0x69, 0x6d, 0x65, 0x64, 0x69, 0x61, 0x2e,
	0x6f, 0x72, 0x67, 0x2f, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x2f, 0x73, 0x72, 0x65, 0x2f, 0x6c, 0x69,
	0x62, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x73, 0x2f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_pkg_protos_service_proto_rawDescOnce sync.Once
	file_pkg_protos_service_proto_rawDescData = file_pkg_protos_service_proto_rawDesc
)

func file_pkg_protos_service_proto_rawDescGZIP() []byte {
	file_pkg_protos_service_proto_rawDescOnce.Do(func() {
		file_pkg_protos_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_protos_service_proto_rawDescData)
	})
	return file_pkg_protos_service_proto_rawDescData
}

var file_pkg_protos_service_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_pkg_protos_service_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_pkg_protos_service_proto_goTypes = []interface{}{
	(AddressFamily)(0), // 0: service.AddressFamily
	(Protocol)(0),      // 1: service.Protocol
	(*Service)(nil),    // 2: service.Service
}
var file_pkg_protos_service_proto_depIdxs = []int32{
	0, // 0: service.Service.family:type_name -> service.AddressFamily
	1, // 1: service.Service.protocol:type_name -> service.Protocol
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_pkg_protos_service_proto_init() }
func file_pkg_protos_service_proto_init() {
	if File_pkg_protos_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_protos_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Service); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_protos_service_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_pkg_protos_service_proto_goTypes,
		DependencyIndexes: file_pkg_protos_service_proto_depIdxs,
		EnumInfos:         file_pkg_protos_service_proto_enumTypes,
		MessageInfos:      file_pkg_protos_service_proto_msgTypes,
	}.Build()
	File_pkg_protos_service_proto = out.File
	file_pkg_protos_service_proto_rawDesc = nil
	file_pkg_protos_service_proto_goTypes = nil
	file_pkg_protos_service_proto_depIdxs = nil
}
